Bug 1410469 (CVE-2016-10059) - CVE-2016-10059 ImageMagick: TIFF file buffer overflow
Summary: CVE-2016-10059 ImageMagick: TIFF file buffer overflow
Status: CLOSED WONTFIX
Alias: CVE-2016-10059
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160508,repor...
Keywords: Security
Depends On: 1410515
Blocks: 1410453
TreeView+ depends on / blocked
 
Reported: 2017-01-05 15:04 UTC by Andrej Nemec
Modified: 2019-06-08 21:41 UTC (History)
13 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-11-22 04:29:07 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-01-05 15:04:18 UTC
A buffer overflow vulnerability was found in ImageMagick. A maliciously crafted file could cause the application to crash or possibly have other impact.

References:

http://seclists.org/oss-sec/2016/q4/758
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=845195

Upstream patch:

https://github.com/ImageMagick/ImageMagick/commit/58cf5bf4fade82e3b510e8f3463a967278a3e410

Comment 1 Andrej Nemec 2017-01-05 16:14:34 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1410515]


Note You need to log in before you can comment on or make changes to this bug.